Submitted By:            Matt Burgess <matthew_at_linuxfromscratch_dot_org>
Date:                    2009-10-18
Initial Package Version: 2.10.1
Upstream Status:         From upstream
Origin:                  http://sourceware.org/git/?p=glibc.git;
Description:             Enable Glibc to build against Binutils-2.20 onwards.

diff -Naur glibc-2.10.1.orig/ChangeLog glibc-2.10.1/ChangeLog
--- glibc-2.10.1.orig/ChangeLog	2009-05-10 19:31:50.000000000 +0000
+++ glibc-2.10.1/ChangeLog	2009-10-18 21:09:59.000000000 +0000
@@ -1,3 +1,16 @@
+2009-09-10  H.J. Lu  <hongjiu.lu@intel.com>
+
+	* configure.in: Exclude binutils 2.X.  Support binutils 2.100
+	and XX.
+
+2009-09-05  H.J. Lu  <hongjiu.lu@intel.com>
+
+	* configure.in: Support binutils 2.100 and 3.0.
+
+2009-09-04  H.J. Lu  <hongjiu.lu@intel.com>
+
+	* configure.in: Support binutils 2.20.
+
 2009-05-10  Ulrich Drepper  <drepper@redhat.com>
 
 	* version.h (VERSION): Bump to 2.10.1.
diff -Naur glibc-2.10.1.orig/configure glibc-2.10.1/configure
--- glibc-2.10.1.orig/configure	2009-05-17 12:19:31.000000000 +0000
+++ glibc-2.10.1/configure	2009-10-18 20:26:14.000000000 +0000
@@ -4839,7 +4839,7 @@
   ac_prog_version=`$AS --version 2>&1 | sed -n 's/^.*GNU assembler.* \([0-9]*\.[0-9.]*\).*$/\1/p'`
   case $ac_prog_version in
     '') ac_prog_version="v. ?.??, bad"; ac_verc_fail=yes;;
-    2.1[3-9]*)
+    2.1[3-9]*|2.1[0-9][0-9]*|2.[2-9][0-9]*|[3-9].*|[1-9][0-9]*)
        ac_prog_version="$ac_prog_version, ok"; ac_verc_fail=no;;
     *) ac_prog_version="$ac_prog_version, bad"; ac_verc_fail=yes;;
 
@@ -4902,7 +4902,7 @@
   ac_prog_version=`$LD --version 2>&1 | sed -n 's/^.*GNU ld.* \([0-9][0-9]*\.[0-9.]*\).*$/\1/p'`
   case $ac_prog_version in
     '') ac_prog_version="v. ?.??, bad"; ac_verc_fail=yes;;
-    2.1[3-9]*)
+    2.1[3-9]*|2.1[0-9][0-9]*|2.[2-9][0-9]*|[3-9].*|[1-9][0-9]*)
        ac_prog_version="$ac_prog_version, ok"; ac_verc_fail=no;;
     *) ac_prog_version="$ac_prog_version, bad"; ac_verc_fail=yes;;
 
diff -Naur glibc-2.10.1.orig/configure.in glibc-2.10.1/configure.in
--- glibc-2.10.1.orig/configure.in	2009-04-03 23:51:47.000000000 +0000
+++ glibc-2.10.1/configure.in	2009-10-18 21:06:56.000000000 +0000
@@ -897,10 +897,10 @@
 # Accept binutils 2.13 or newer.
 AC_CHECK_PROG_VER(AS, $AS, --version,
 		  [GNU assembler.* \([0-9]*\.[0-9.]*\)],
-		  [2.1[3-9]*], AS=: critic_missing="$critic_missing as")
+		  [2.1[3-9]*|2.1[0-9][0-9]*|2.[2-9][0-9]*|[3-9].*|[1-9][0-9]*], AS=: critic_missing="$critic_missing as")
 AC_CHECK_PROG_VER(LD, $LD, --version,
 		  [GNU ld.* \([0-9][0-9]*\.[0-9.]*\)],
-		  [2.1[3-9]*], LD=: critic_missing="$critic_missing ld")
+		  [2.1[3-9]*|2.1[0-9][0-9]*|2.[2-9][0-9]*|[3-9].*|[1-9][0-9]*], LD=: critic_missing="$critic_missing ld")
 
 # We need the physical current working directory.  We cannot use the
 # "pwd -P" shell builtin since that's not portable.  Instead we try to
